
markup.push({

	// MARK: - base popup menu

	PopupMenuView:
	{
		nsClass: "GXPopupMenuView",
		gxIntrinsicHeight: 24,
		gxBaselineOffset: 6,
		gxForePainter: "PopupFore",
		gxBackPainter: "PopupBack",
		gxExtraPainter: "PopupArrows",
		gxLabelTemplate: "LabelView.right",
		gxDisableOnNil: false		// menu item with repObject of nil is valid, but doesn't mix with this setting. choose one.
	},
            
    // MARK: - popup menu painters

    PopupFore: {
        "+": "ControlFore",
        gxHAlign: 0,
        gxEdgeInsets: "10, 0, 22, 0"        // extra space on right for arrows
    },

    PopupBack: {
        "+": "ControlBack"
    },

    PopupArrows: {
        nsClass: "GXImagePainter",
        gxTintColor: "ForeColor1",
        gxEdgeInsets: "0, 0, 8, 0",    // inset from right
        gxHAlign: 1,                    // aligned right
        gxVAlign: 0.5,
        gxImage: "popup.arrows"
    },

})
